Package org.apache.sling.testing.paxexam

# Class SlingOptions

java.lang.Object
org.apache.sling.testing.paxexam.SlingOptions

public final class SlingOptions extends Object
Sling's Options for Pax Exam created from Sling's Karaf Features.

NOTE: This file is generated from Sling's Karaf Features

## Field Summary

Fields
Modifier and Type
Field
Description
`static SlingVersionResolver`
`versionResolver`

## Method Summary

Modifier and Type
Method
Description
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`awaitility()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`backing()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`composumNodes()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`config()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`eventadmin()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`felixHealthcheck()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`greenmail()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`hamcrest()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`http()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`httpcomponentsClient()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`httpWhiteboard()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`jackrabbit()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`jackrabbitOak()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`jackrabbitVault()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`jackson()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`junit()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`logback()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`management()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`paxLoggingApi()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`paxLoggingLog4j2()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`paxLoggingLog4j2(String configurationFile)`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`paxLoggingLogback()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`paxLoggingLogback(String configurationFile)`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`paxTinybundles()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`paxUrl()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`paxUrlClasspath()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`paxUrlWrap()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`restassured()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`scr()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`sling()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingAdapter()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingAuthForm()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingBundleresource()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingCaconfig()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingClam()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingCommonsClam()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingCommonsClassloader()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingCommonsCompiler()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingCommonsCrypto()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingCommonsFsclassloader()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingCommonsHtml()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingCommonsMessaging()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingCommonsMessagingMail()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingCommonsMetrics()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingCommonsOsgi()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingCommonsScheduler()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingCommonsThreads()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingDiscovery()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingDiscoveryOak()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingDiscoveryStandalone()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingDistribution()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingEvent()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingExtensionsWebconsolesecurityprovider()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingFeatureflags()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingFsresource()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingI18n()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingInstaller()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingInstallerFactoryConfiguration()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingInstallerFactoryPackages()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingInstallerHealthcheck()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingInstallerProviderFile()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingInstallerProviderJcr()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingJcr()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingJcrCompiler()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingJcrJackrabbitAccessmanager()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingJcrJackrabbitUsermanager()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingJcrRepoinit()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingJmxProvider()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingModels()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingModelsJacksonexporter()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingPipes()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingQuery()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingQuickstartOak()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingQuickstartOakMongo()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingQuickstartOakMongo(String workingDirectory, int httpPort, String mongouri)`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingQuickstartOakTar()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingQuickstartOakTar(String workingDirectory, int httpPort)`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingResourceInventory()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingResourcemerger()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingResourcePresence()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingRewriter()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingScripting()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingScriptingFreemarker()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingScriptingGroovy()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingScriptingHtl()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingScriptingJava()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingScriptingJavascript()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingScriptingJsp()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingScriptingThymeleaf()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingSecurity()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingServlets()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingStarterContent()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingUrlrewriter()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingValidation()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`slingXss()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`spifly()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`testcontainers()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`thymeleaf()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`tika()`
`static org.ops4j.pax.exam.options.ModifiableCompositeOption`
`webconsole()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### versionResolver

public static SlingVersionResolver versionResolver

## Method Details

### awaitility

public static org.ops4j.pax.exam.options.ModifiableCompositeOption awaitility()

### backing

public static org.ops4j.pax.exam.options.ModifiableCompositeOption backing()

### config

public static org.ops4j.pax.exam.options.ModifiableCompositeOption config()

### eventadmin

public static org.ops4j.pax.exam.options.ModifiableCompositeOption eventadmin()

### greenmail

public static org.ops4j.pax.exam.options.ModifiableCompositeOption greenmail()

### hamcrest

public static org.ops4j.pax.exam.options.ModifiableCompositeOption hamcrest()

### http

public static org.ops4j.pax.exam.options.ModifiableCompositeOption http()

### httpWhiteboard

public static org.ops4j.pax.exam.options.ModifiableCompositeOption httpWhiteboard()

### jackson

public static org.ops4j.pax.exam.options.ModifiableCompositeOption jackson()

### junit

public static org.ops4j.pax.exam.options.ModifiableCompositeOption junit()

### management

public static org.ops4j.pax.exam.options.ModifiableCompositeOption management()

### scr

public static org.ops4j.pax.exam.options.ModifiableCompositeOption scr()

### spifly

public static org.ops4j.pax.exam.options.ModifiableCompositeOption spifly()

### webconsole

public static org.ops4j.pax.exam.options.ModifiableCompositeOption webconsole()

### paxLoggingApi

public static org.ops4j.pax.exam.options.ModifiableCompositeOption paxLoggingApi()

### paxLoggingLog4j2

public static org.ops4j.pax.exam.options.ModifiableCompositeOption paxLoggingLog4j2(String configurationFile)

### paxLoggingLog4j2

public static org.ops4j.pax.exam.options.ModifiableCompositeOption paxLoggingLog4j2()

### paxLoggingLogback

public static org.ops4j.pax.exam.options.ModifiableCompositeOption paxLoggingLogback(String configurationFile)

### paxLoggingLogback

public static org.ops4j.pax.exam.options.ModifiableCompositeOption paxLoggingLogback()

### paxUrl

public static org.ops4j.pax.exam.options.ModifiableCompositeOption paxUrl()

### paxUrlClasspath

public static org.ops4j.pax.exam.options.ModifiableCompositeOption paxUrlClasspath()

### paxUrlWrap

public static org.ops4j.pax.exam.options.ModifiableCompositeOption paxUrlWrap()

### paxTinybundles

public static org.ops4j.pax.exam.options.ModifiableCompositeOption paxTinybundles()

### logback

public static org.ops4j.pax.exam.options.ModifiableCompositeOption logback()

### restassured

public static org.ops4j.pax.exam.options.ModifiableCompositeOption restassured()

### testcontainers

public static org.ops4j.pax.exam.options.ModifiableCompositeOption testcontainers()

### sling

public static org.ops4j.pax.exam.options.ModifiableCompositeOption sling()

### slingAuthForm

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingAuthForm()

### slingCommonsClam

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingCommonsClam()

### slingCommonsCompiler

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingCommonsCompiler()

### slingCommonsClassloader

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingCommonsClassloader()

### slingCommonsCrypto

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingCommonsCrypto()

### slingCommonsFsclassloader

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingCommonsFsclassloader()

### slingCommonsHtml

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingCommonsHtml()

### slingCommonsMessaging

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingCommonsMessaging()

### slingCommonsMessagingMail

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingCommonsMessagingMail()

### slingCommonsMetrics

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingCommonsMetrics()

### slingCommonsOsgi

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingCommonsOsgi()

### slingCommonsScheduler

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingCommonsScheduler()

### slingCommonsThreads

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingCommonsThreads()

### slingAdapter

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingAdapter()

### slingBundleresource

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingBundleresource()

### slingCaconfig

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingCaconfig()

### slingClam

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingClam()

### slingDiscovery

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingDiscovery()

### slingDiscoveryOak

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingDiscoveryOak()

### slingDiscoveryStandalone

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingDiscoveryStandalone()

### slingDistribution

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingDistribution()

### slingEvent

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingEvent()

### slingExtensionsWebconsolesecurityprovider

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingExtensionsWebconsolesecurityprovider()

### slingFeatureflags

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingFeatureflags()

### slingFsresource

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingFsresource()

### slingI18n

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingI18n()

### slingJmxProvider

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingJmxProvider()

### slingModels

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingModels()

### slingModelsJacksonexporter

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingModelsJacksonexporter()

### slingPipes

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingPipes()

### slingQuery

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingQuery()

### slingResourceInventory

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingResourceInventory()

### slingResourcePresence

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingResourcePresence()

### slingResourcemerger

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingResourcemerger()

### slingRewriter

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingRewriter()

### slingSecurity

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingSecurity()

### slingUrlrewriter

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingUrlrewriter()

### slingValidation

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingValidation()

### slingXss

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingXss()

### slingInstaller

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingInstaller()

### slingInstallerFactoryConfiguration

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingInstallerFactoryConfiguration()

### slingInstallerFactoryPackages

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingInstallerFactoryPackages()

### slingInstallerHealthcheck

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingInstallerHealthcheck()

### slingInstallerProviderFile

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingInstallerProviderFile()

### slingInstallerProviderJcr

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingInstallerProviderJcr()

### slingJcr

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingJcr()

### slingJcrCompiler

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingJcrCompiler()

### slingJcrJackrabbitAccessmanager

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingJcrJackrabbitAccessmanager()

### slingJcrJackrabbitUsermanager

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingJcrJackrabbitUsermanager()

### slingJcrRepoinit

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingJcrRepoinit()

### slingQuickstartOak

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingQuickstartOak()

### slingQuickstartOakTar

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingQuickstartOakTar()

### slingQuickstartOakMongo

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingQuickstartOakMongo()

### slingScripting

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingScripting()

### slingScriptingFreemarker

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingScriptingFreemarker()

### slingScriptingGroovy

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingScriptingGroovy()

### slingScriptingJava

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingScriptingJava()

### slingScriptingJavascript

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingScriptingJavascript()

### slingScriptingJsp

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingScriptingJsp()

### slingScriptingHtl

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingScriptingHtl()

### slingScriptingThymeleaf

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingScriptingThymeleaf()

### slingServlets

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingServlets()

### slingStarterContent

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingStarterContent()

### felixHealthcheck

public static org.ops4j.pax.exam.options.ModifiableCompositeOption felixHealthcheck()

### httpcomponentsClient

public static org.ops4j.pax.exam.options.ModifiableCompositeOption httpcomponentsClient()

### jackrabbit

public static org.ops4j.pax.exam.options.ModifiableCompositeOption jackrabbit()

### jackrabbitOak

public static org.ops4j.pax.exam.options.ModifiableCompositeOption jackrabbitOak()

### jackrabbitVault

public static org.ops4j.pax.exam.options.ModifiableCompositeOption jackrabbitVault()

### tika

public static org.ops4j.pax.exam.options.ModifiableCompositeOption tika()

### composumNodes

public static org.ops4j.pax.exam.options.ModifiableCompositeOption composumNodes()

### thymeleaf

public static org.ops4j.pax.exam.options.ModifiableCompositeOption thymeleaf()

### slingQuickstartOakTar

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingQuickstartOakTar(String workingDirectory, int httpPort)

### slingQuickstartOakMongo

public static org.ops4j.pax.exam.options.ModifiableCompositeOption slingQuickstartOakMongo(String workingDirectory, int httpPort, String mongouri)